Median of the sum of the base fee and priority fee that day
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/transaction-fee-med-native \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/transaction-fee-med-native?project=hyperevm"
{ "hyperevm": [ { "date": "2026-02-19", "value": 0.000093 }, { "date": "2026-02-18", "value": 0.000088 }, { "date": "2026-02-17", "value": 0.000107 }, { "date": "2026-02-16", "value": 0.000113 }, { "date": "2026-02-15", "value": 0.000136 } ] }
Project slug (comma-separated for multiple).
arbitrum
base
ethereum
hyperevm
katana
megaeth
monad
solana
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK